Aspirerelease/17.0
Watch Aspire live streamsDocsTry Aspire

WithExtraQueryParameter

Method
📦 Aspire.Hosting.Azure.EntraId v17.0.0-preview.1.26565.2
func (EntraIdApplicationResource) WithExtraQueryParameter(
key string,
value string,
) EntraIdApplicationResource

Signature

methodWithExtraQueryParameterbuilder
Adds an extra query parameter to send to the identity provider.
WithExtraQueryParameter(
key string,
value string,
) EntraIdApplicationResource
keystringThe query parameter key.
valuestringThe query parameter value.
EntraIdApplicationResource

The resource builder for chaining.

Returns a handle; failures surface later via Err().

Applies to

This method applies to the following types: